Skip to main content
GET
/
v2
/
persons
/
{personId}
/
fields
/
{fieldId}
/
dropdown-options
Get dropdown options for a Person Field
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/fields/{fieldId}/dropdown-options \
  --header 'Authorization: Bearer <token>'
{ "data": [ { "type": "dropdown", "id": 1, "text": "Director" }, { "type": "dropdown", "id": 2, "text": "VP" }, { "type": "dropdown", "id": 3, "text": "C-Level" } ], "pagination": { "prevUrl": null, "nextUrl": null } }

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Example:

"field-1234"

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100

Response

OK

DropdownOptionPaged model

data
(DropdownOption · object | RankedDropdownOption · object)[]
required

A page of DropdownOption results

Maximum array length: 100
Example:
{
  "type": "dropdown",
  "id": 1,
  "text": "Seed"
}
pagination
Pagination · object
required